
body {
    flex-direction: column;
    align-items: center;
}

.main_container {
    margin-top: 3em;
}

.planets_table {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.the_moon {
    background-image: url(/assets/images/planets/the-moon.jpg);
    width: 50;
    height: 50;
    background-size:contain;
    background-position: center;
    background-repeat: no-repeat;
}

.planet_header {
    padding: 1em;
}

.info_column {
    padding: .75em;
}

figure {
    border: 1px solid black;
    border-radius: 10px;
    padding: 3em;
    width: 750px;
    align-items: center;
    background-color: white;
}

figcaption {
    text-align: center;
    padding-bottom: 2em;
    font-weight: bold;
    font-size: 150%;
}

table {
    border: 3px solid black;
    background-color: aliceblue;
}

th {
    background-color: rgb(127, 255, 127);
    text-align: center;
}

th, td {
    border: 1px solid black;
}

th:first-child {
    font-weight: bold;
}

/* Planets */

tbody tr {
    text-align: center;
}

tbody {
    background-color: white;
}

tbody tr.planet td:first-child {
    padding-left: 1em;
    padding-right: 1em;
}

/* Padding for the Moon image */
tbody tr.planet td:nth-child(2) {
    padding: .5em;
}

/* Makes the Moon cell wider */
tbody tr.planet td:nth-last-child(2) {
    width: 150px;
}

/* Makes the background the same as the image for spacing */
tbody tr.earth td:nth-last-child(2) {
    background-color: black;
}

tbody tr.mercury td:first-child {
    background-color: #b1b1b1;
}

tbody tr.venus td:first-child {
    background-color: #ecca8f;
}

tbody tr.earth td:first-child {
    background-color: #5f9ee6;
}

tbody tr.mars td:first-child {
    background-color: #c1440e;
}

tbody tr.jupiter td:first-child {
    background-color: #d2b48c;
}

tbody tr.saturn td:first-child {
    background-color: #f5deb3;
}

tbody tr.uranus td:first-child {
    background-color: #7fffd4;
}

tbody tr.neptune td:first-child {
    background-color: #4f6fdc;
}

/* Moons */
tbody tr td:nth-last-child(2) {
    background-color: lightgray;
}

/* Rings */
tbody tr td:last-child {
    background-color: rgb(202, 230, 243);
    padding-left: 2em;
    padding-right: 2em;
}